Bug 1144046 - Uncaught exception when selecting Administration -> Security menu item
Summary: Uncaught exception when selecting Administration -> Security menu item
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: UI
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ER04
: JON 3.3.0
Assignee: Libor Zoubek
QA Contact: Mike Foley
URL:
Whiteboard:
Keywords:
: 1141284 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-18 14:06 UTC by Libor Zoubek
Modified: 2015-11-02 00:44 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-12-11 14:01:00 UTC


Attachments (Terms of Use)

Description Libor Zoubek 2014-09-18 14:06:07 UTC
Description of problem:

I am getting exceptions in UI when I select Administration -> Security (or any other item on same level

Version-Release number of selected component (if applicable):
JON 3.3.0.ER03

How reproducible: always

Comment 1 Libor Zoubek 2014-09-18 14:48:41 UTC
branch:  master
link:    https://github.com/rhq-project/rhq/commit/14603d2f8
time:    2014-09-18 16:48:11 +0200
commit:  14603d2f8e61accffa9e7f3e12580f98583e9c3c
author:  Libor Zoubek - lzoubek@redhat.com
message: Bug 1144046 - Uncaught exception when selecting Administration ->
         Security menu item
         MenuItems directly under Administration now target to leaf
         views (usually it's the first child view which does not require
         special permissions)

Comment 2 Jirka Kremser 2014-09-18 15:21:59 UTC
branch:  release/jon3.3.x
link:    https://github.com/rhq-project/rhq/commit/579ee3fce
time:    2014-09-18 16:53:43 +0200
commit:  579ee3fcedb5640e72ccc7d12939601e325bad41
author:  Libor Zoubek - lzoubek@redhat.com
message: Bug 1144046 - Uncaught exception when selecting Administration ->
         Security menu item

         MenuItems directly under Administration now target to leaf
         views (usually it's the first child view which does not require
         special permissions)

         (cherry picked from commit
         14603d2f8e61accffa9e7f3e12580f98583e9c3c) Signed-off-by: Jirka
         Kremser <jkremser@redhat.com>

Comment 3 Libor Zoubek 2014-09-22 11:16:13 UTC
*** Bug 1141284 has been marked as a duplicate of this bug. ***

Comment 4 Libor Zoubek 2014-09-23 11:26:51 UTC
Additional commit:

branch:  master
link:    https://github.com/rhq-project/rhq/commit/20c087dae
time:    2014-09-23 13:24:38 +0200
commit:  20c087dae8999ed63213c2b45d53311de2900b45
author:  Libor Zoubek - lzoubek@redhat.com
message: Bug 1144046 - Uncaught exception when selecting Administration ->
         Security menu item
         Several menu items got renamed by previous commit for this BZ -
         fixed now.

branch:  release/jon3.3.x
link:    https://github.com/rhq-project/rhq/commit/f05f8b390
time:    2014-09-23 13:26:19 +0200
commit:  f05f8b3905fe8ceea65d602fd8131432c34e0f11
author:  Libor Zoubek - lzoubek@redhat.com
message: Bug 1144046 - Uncaught exception when selecting Administration ->
         Security menu item
         Several menu items got renamed by previous commit for this BZ -
         fixed now.
         (cherry picked from commit
         20c087dae8999ed63213c2b45d53311de2900b45) Signed-off-by: Libor
         Zoubek <lzoubek@redhat.com>

Comment 5 Simeon Pinder 2014-10-01 21:33:05 UTC
Moving to ON_QA as available for test with build:
https://brewweb.devel.redhat.com/buildinfo?buildID=388959


Note You need to log in before you can comment on or make changes to this bug.